### Method

# GimpUi Preview draw_buffer

since: 2.2

#### Declaration [src]

    void
    gimp_preview_draw_buffer (
      GimpPreview* preview,
      const guchar* buffer,
      gint rowstride
    )

#### Description [src]

Calls the GimpPreview::draw_buffer method. GimpPreview itself doesn’t implement this method so the behaviour is determined by the derived class implementing this method.

Available since: 2.2

#### Parameters

`buffer`

  Type: An array of `guchar`

  A pixel buffer the size of the preview.

  The data is owned by the caller of the function.

`rowstride`

  Type: `gint`

  The `buffer`‘s rowstride.